package net.wanji.opt.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author duanruiming
 * @date 2024/12/05 15:20
 */
@Getter
@AllArgsConstructor
public enum CrossOptResultStrategyEnum {
    // 优化策略
    ZERO(0, "均衡调控"),
    ONE(1, "绿灯空放"),
    TWO(2, "失衡"),
    THREE(3, "溢出");

    private int code;
    private String desc;

    public static String getDesc(int code) {
        for (CrossOptResultStrategyEnum value : CrossOptResultStrategyEnum.values()) {
            if (code == value.code) {
                return value.getDesc();
            }
        }
        return CrossOptResultStrategyEnum.ZERO.getDesc();
    }
}
