package net.wanji.opt.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2024/12/31 11:58
 */
@Getter
@AllArgsConstructor
public enum EventStatusEnum {
    // 0未处理 1分析中 2优化中 3优化完 4已结束
    ZERO(0, "未处理"),
    ONE(1, "分析中"),
    TWO(2, "优化中"),
    THREE(3, "优化完"),
    // 信控没有已结束，优化完
    FOUR(4, "优化完");
    private Integer code;
    private String desc;

    public static String getDesc(Integer code) {
        for (EventStatusEnum value : EventStatusEnum.values()) {
            if (Objects.equals(code, value.getCode())) {
                return value.getDesc();
            }
        }
        // 畅通为未优化
        return "未优化";
    }
}
