package net.wanji.opt.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import net.wanji.common.utils.tool.StringUtils;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2024/12/03 19:14
 * @description
 */
@Getter
@AllArgsConstructor
public enum GreenBeltDirEnum {
    //
    E2W("e2w", "东向西", 3),
    W2E("w2e", "西向东", 7),
    N2S("n2s", "北向南", 1),
    S2N("s2n", "南向北", 5);

    private String code;
    private String desc;
    private Integer inDir;

    public static String getDesc(String code) {
        for (GreenBeltDirEnum dirEnum : GreenBeltDirEnum.values()) {
            if (StringUtils.equalsIgnoreCase(code, dirEnum.getCode())) {
                return dirEnum.getDesc();
            }
        }
        return "";
    }

    public static Integer getInDir(String code) {
        for (GreenBeltDirEnum value : GreenBeltDirEnum.values()) {
            if (StringUtils.equalsIgnoreCase(code, value.getCode())) {
                return value.getInDir();
            }
        }
        return 1;
    }

    public static String getInDirName(Integer dir) {
        for (GreenBeltDirEnum value : GreenBeltDirEnum.values()) {
            if (Objects.equals(dir, value.getInDir())) {
                return value.getDesc();
            }
        }
        return "";
    }
}
