package net.wanji.opt.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2024/12/11 20:33
 */
@Getter
@AllArgsConstructor
public enum OptStatusEnum {
    ZERO(0, "正常"),
    ONE(1, "优化中");
    private Integer code;
    private String desc;

    public static String getDesc(Integer code) {
        for (OptStatusEnum value : OptStatusEnum.values()) {
            if (Objects.equals(code, value.getCode())) {
                return value.getDesc();
            }
        }
        return OptStatusEnum.ZERO.getDesc();
    }
}
