package net.wanji.opt.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author duanruiming
 * @date 2024/12/05 19:29
 */
@Getter
@AllArgsConstructor
public enum StrategyControlEnum {
    ZERO(0, "绿波带", "效率提升"),
    ONE(1, "失衡", "均衡调控"),
    TWO(2, "溢出", "效率提升"),
    THREE(3, "空放", "效率提升"),
    FOUR(4, "拥堵", "效率提升"),
    FIVE(5, "畅通", "畅通");

    private int code;
    private String desc;
    private String method;

    public static String getDesc(int code) {
        for (StrategyControlEnum value : StrategyControlEnum.values()) {
            if (code == value.getCode()) {
                return value.getDesc();
            }
        }
        return StrategyControlEnum.FIVE.getDesc();
    }

    public static String getMethod(int code) {
        for (StrategyControlEnum value : StrategyControlEnum.values()) {
            if (code == value.getCode()) {
                return value.getMethod();
            }
        }
        return "";
    }
}
