package net.wanji.opt.common.enums;

/**
 * 时间粒度
 */
public enum TimeGranularityEnum {

    FIVE_MINUTE("5m","5分钟",5,"5 MINUTE"),
    TEN_MINUTE("10m","10分钟",10,"10 MINUTE"),
    FIFTEEN_MINUTE("15m","15分钟",15,"15 MINUTE"),
    THIRTY_MINUTE("30m","30分钟",30,"30 MINUTE"),
    ONE_HOUR("1h","1小时",60,"60 MINUTE"),
    ONE_DAY("1d","1天",60,24*60+" MINUTE")
    ;

    private String type;
    private String desc;
    private Integer minites;
    private String enDesc;

    TimeGranularityEnum(String type, String desc, int minites, String enDesc) {
        this.type = type;
        this.desc = desc;
        this.minites = minites;
        this.enDesc = enDesc;
    }

    public static TimeGranularityEnum getEnumByType(String type){
        for (TimeGranularityEnum timeGranularityEnum : TimeGranularityEnum.values()) {
            if(timeGranularityEnum.getType().equals(type)){
                return timeGranularityEnum;
            }
        }
        return null;
    }

    public String getType() {
        return type;
    }

    public String getDesc() {
        return desc;
    }

    public Integer getMinites() {
        return minites;
    }

    public String getEnDesc() {
        return enDesc;
    }

    public void setEnDesc(String enDesc) {
        this.enDesc = enDesc;
    }
}
