package net.wanji.opt.constant;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Objects;

/**
 * @ClassName EventAbnormalEnum
 * @Description
 * @Date 2021/4/15 11:13
 * @Version 1.0
 */
public enum EventAbnormalEnum {

    CROSS_PHASE_EMPTY(701,"相位空放" ),
    CROSS_UNBALANCE(702,"路口失衡" ),
    CROSS_OVERFLOW(703,"路口溢出" ),
    CROSS_DEADLOCK(704,"路口死锁" ),
    GREEN_WAVE_SLOW_RUN(705,"干线-缓行" ),
    GREEN_WAVE_CONGEST(706,"干线-拥堵" ),
    ;

    public final static double step_default = 1;

    Integer type;
    String desc;

    EventAbnormalEnum(Integer type, String desc ) {
        this.type = type;
        this.desc = desc;
    }
    public Integer getType(){
        return type;
    }

    public String getDesc() {
        return desc;
    }

    public static EventAbnormalEnum getByType(String type){
        for (EventAbnormalEnum abnormalEnum : EventAbnormalEnum.values()) {
            if(abnormalEnum.getType().equals(type)){
                return abnormalEnum;
            }
        }
        return null;
    }

}
