package net.wanji.opt.dto.induce;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotBlank;

/**
 * @Description
 * @Author zjf
 * @Date 2024/11/11
 **/
@Data
public class MessageParam {

    private Integer induceId;

    private Integer greenId;
    /**
     * 1上屏  2下屏
     */
    @NotBlank(message = "是否上传ftp标识必传")
    private int flg;
    /**
     * sourceid
     */
    @NotBlank(message = "sourceid标识必传")
    private String sourceId;
    /**
     * 屏体ID 由现场提供
     */
    @NotBlank(message = "屏体ID标识必传")
    private String equipCode;
    /**
     * 文件
     */
//    private MultipartFile file;
    @ApiModelProperty(value = "开始时间，格式 2024-11-07 00:00:00")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private String startTime="";

    @ApiModelProperty(value = "结束时间，格式 2024-11-07 00:00:00")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private String endTime="";

    /**
     * ftp地址
     */
    private String ftpPath;
    /**
     * 节目类型 TFM 路况 TFMH 独占 TAM 交通事件
     */
    private String type = "TFMH";

    /**
     * x,y,w,h 为屏上发布的位置 一般 x=0 y=0 w为屏宽 h为屏高
     */
    private Integer x = 0;
    private Integer y = 0;
    @NotBlank(message = "屏体宽度必传")
    private Integer resolutionWidth=0;
    @NotBlank(message = "屏体高度必传")
    private Integer resolutionHeight=0;
    /**
     * 节目顺序号 顺着往下排
     */
    private Integer playorder = 0;
    /**
     * 为每一屏的停留时间
     */
    private Integer duration = 10;

    // 以下为追加最新字段
    /**
     * 图片id
     */
    @NotBlank(message = "图片模板id必传")
    private Long templateId=0L;
    /**
     * 文本内容
     */
    @NotBlank(message = "生成的文本内容必传")
    private String[] contents;
}
