package net.wanji.opt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 设备-交通诱导屏设备
 * </p>
 *
 * @author guoliang.dong
 * @since 2024-11-22
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_device_induces")
public class DeviceInduces implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "oid", type = IdType.AUTO)
    private Long oid;

    /**
     * 厂家设备编号
     */
    @TableField("equip_code")
    private String equipCode;

    /**
     * 设备名称
     */
    @TableField("equip_name")
    private String equipName;

    /**
     * 设备型号
     */
    @TableField("equip_model")
    private String equipModel;

    /**
     * 设备IP
     */
    @TableField("equip_ip")
    private String equipIp;

    /**
     * 设备点位地址描述
     */
    @TableField("equip_addr")
    private String equipAddr;

    /**
     * 设备图片地址
     */
    @TableField("equip_img_url")
    private String equipImgUrl;

    /**
     * 所在路口编号
     */
    @TableField("cross_id")
    private String crossId;

    /**
     * 诱导关联路段
     */
    @TableField("rid")
    private String rid;

    /**
     * 关联路段方向
     */
    @TableField("rid_dir")
    private Integer ridDir;

    /**
     * 功能类型（1.常规诱导屏、2.潮汐车道诱导屏、3.可变车道诱导屏）
     */
    @TableField("function_type")
    private String functionType;

    /**
     * 屏幕类型（1.点阵屏、2.光带屏、3.复合屏、4.全彩屏）
     */
    @TableField("screen_type")
    private String screenType;

    /**
     * 屏幕尺寸
     */
    @TableField("screen_size")
    private String screenSize;

    /**
     * 屏幕分辨率宽度 
     */
    @TableField("resolution_width")
    private BigDecimal resolutionWidth;

    /**
     * 屏幕分辨率高度 
     */
    @TableField("resolution_height")
    private BigDecimal resolutionHeight;

    /**
     * 位置坐标
     */
    @TableField("wkt")
    private String wkt;

    /**
     * 诱导发布次数
     */
    @TableField("induce_publish_count")
    private String inducePublishCount;

    /**
     * 安装高度 
     */
    @TableField("allow_word_num")
    private Integer allowWordNum;

    /**
     * 安装位置
     */
    @TableField("install_height")
    private BigDecimal installHeight;

    /**
     * 设备朝向
     */
    @TableField("equipment_direct")
    private String equipmentDirect;

    /**
     * 诱导车流方向
     */
    @TableField("traffic_direct")
    private String trafficDirect;

    /**
     * 设备厂商
     */
    @TableField("manufacturer")
    private String manufacturer;

    /**
     * 行政区域代码
     */
    @TableField("area_code")
    private String areaCode;

    /**
     * 安装日期
     */
    @TableField("install_time")
    private String installTime;

    /**
     * 维保开始时间
     */
    @TableField("maintenance_start_time")
    private String maintenanceStartTime;

    /**
     * 维保到期时间
     */
    @TableField("maintenance_expiration_time")
    private String maintenanceExpirationTime;

    /**
     * 建设主体单位
     */
    @TableField("main_construction_unit")
    private String mainConstructionUnit;

    /**
     * 建设单位
     */
    @TableField("build_unit")
    private String buildUnit;

    /**
     * 建设单位负责人
     */
    @TableField("build_unit_people")
    private String buildUnitPeople;

    /**
     * 承建单位
     */
    @TableField("contractor")
    private String contractor;

    /**
     * 承建单位负责人
     */
    @TableField("contractor_unit_people")
    private String contractorUnitPeople;

    /**
     * 维护单位
     */
    @TableField("maintenance_unit")
    private String maintenanceUnit;

    /**
     * 维护单位负责人
     */
    @TableField("maintenance_unit_people")
    private String maintenanceUnitPeople;

    /**
     * 维护人员
     */
    @TableField("maintenance_people")
    private String maintenancePeople;

    /**
     * 维护人员联系方式
     */
    @TableField("maintenance_people_telephone")
    private String maintenancePeopleTelephone;


    /**
     * 设备状态 0：离线 1：在线
     */
    @TableField("status")
    private String status;

    /**
     * 是否显示
     */
    @TableField("is_show")
    private Boolean isShow;


}
