package net.wanji.opt.entity;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 运行监控 路口方案下发查询
 * </p>
 *
 * @Author hwm
 * @Date 2024-12-1
 */
@Data
@ApiModel(value="EventAlarmInfo对象", description="运行监控-预警事件查询")
public class EventAlarmInfo {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "绿波ID")
    private Integer greenId;

    @ApiModelProperty(value = "路口ID")
    private String crossId;

    @ApiModelProperty(value = "路口名称/绿波名称")
    private String crossName;

    @ApiModelProperty(value = "预警类型")
    private String currentAlgo;

    @ApiModelProperty(value = "下发时间")
    private String issueTime;

    @ApiModelProperty(value = "状态类型")
    private String type;

    @ApiModelProperty(value = "事件类型码")
    private String eventType;

    @ApiModelProperty(value = "是否新记录，0否，1是")
    private String newRecoder;

    @ApiModelProperty(value = "坐标点")
    private String wkt;

    @ApiModelProperty(value = "是否优化标识")
    private String optStatus;

    @ApiModelProperty(value = "持续时间，单位秒")
    private Integer duration;

    @ApiModelProperty(value = "路口状态 0正常 1失衡 2拥堵 3溢出 5空放")
    private Integer status;

    @ApiModelProperty(value = "事件发生方向",hidden = true)
    private String dir;

    @ApiModelProperty(value = "事件发生转向",hidden = true)
    private String turn;

    @ApiModelProperty(value = "事件发生方向描述")
    private String dirDesc;

}
