package net.wanji.opt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 绿波-诱导屏幕关系表
 * </p>
 *
 * @author guoliang.dong
 * @since 2024-11-22
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_greenwave_induces")
public class GreenwaveInduces implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 绿波ID
     */
    @TableField("green_id")
    private Integer greenId;

    /**
     * 关联诱导屏幕设备编号
     */
    @TableField("equip_code")
    private String equipCode;

    /**
     * 路段走向:1 南向北 2 西向东 3 北向南 4 东向西
     */
    @TableField("dir")
    private Integer dir;

    /**
     * 诱导屏幕顺序号
     */
    @TableField("sort")
    private Integer sort;

    /**
     * 诱导下发编号(sourceId,下发的时候生成的UUID)
     */
    @TableField("source_id")
    private String sourceId;

    /**
     * 诱导下发计数
     */
    @TableField("induces_count")
    private Long inducesCount;

    /**
     * 0 未发布 1 已发布
     */
    @TableField("status")
    private Integer status;

    /**
     * 节目顺序号 顺着往下排
     */
    @TableField("playorder")
    private Integer playorder;

    /**
     * 为每一屏的停留时间
     */
    @TableField("duration")
    private Integer duration;

    /**
     * 创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 修改时间
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 模糊查询关键字
     */
    @TableField(exist = false)
    private String keyword;


}
