package net.wanji.opt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 绿波诱导下发历史信息表
 * </p>
 *
 * @author guoliang.dong
 * @since 2024-11-22
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_greenwave_induces_hist")
public class GreenwaveInducesHist implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 绿波编号
     */
    @TableField("green_id")
    private Integer greenId;

    /**
     * 当前策略名称
     */
    @TableField("strategy_name")
    private String strategyName;

    /**
     * 绿波带下发时间
     */
    @TableField("control_time")
    private Date controlTime;

    /**
     * 执行策略 1单条 2垂直 3平行
     */
    @TableField("type")
    private Integer type;

    /**
     * 绿波方向:1 南向北 2 西向东 3 北向南 4 东向西
     */
    @TableField("dir")
    private Integer dir;

    /**
     * 绿波最大速度
     */
    @TableField("max_speed")
    private Double maxSpeed;

    /**
     * 绿波最小速度
     */
    @TableField("min_speed")
    private Double minSpeed;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 修改时间
     */
    @TableField("modify_time")
    private Date modifyTime;

    /**
     * 执行策略编号
     */
    @TableField("strategy_id")
    private Integer strategyId;

    /**
     * 0 未发布 1 已发布
     */
    @TableField("status")
    private Integer status=0;

    /**
     * 执行时段
     */
    @TableField("control_opt_times")
    private String controlOptTimes;

    /**
     * 模糊查询关键字
     */
    @TableField(exist = false)
    private String keyword;


}
