package net.wanji.opt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 诱导屏-发布历史
 * </p>
 *
 * @author guoliang.dong
 * @since 2024-11-22
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_induce_hist_log")
public class InduceHist implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 诱导屏编号
     */
    @TableField("equip_code")
    private String equipCode;

    /**
     * 诱导下发编号(sourceId,下发的时候生成的UUID)
     */
    @TableField("source_id")
    private String sourceId;

    /**
     * 绿波ID
     */
    @TableField("green_id")
    private Integer greenId;

    /**
     * 下发文件路径
     */
    @TableField("file_path")
    private String filePath;

    /**
     * 建议速度
     */
    @TableField("induce_speed")
    private String induceSpeed;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;


}
