package net.wanji.opt.po.base;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 路段基础信息
 * </p>
 *
 * @Author fengyi
 * @Date 2024-11-14
 */
@Data
@ApiModel(value="BaseRidInfo对象", description="路段基础信息")
@TableName("t_base_rid_info")
public class BaseRidInfo   {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "路段名称")
    private String name;

    @ApiModelProperty(value = "道路编号")
    private String roadId;

    @ApiModelProperty(value = "道路名称")
    private String roadName;

    @ApiModelProperty(value = "道路方向编号")
    private String roadDirId;

    @ApiModelProperty(value = "开始路口编号")
    private String startCrossId;

    @ApiModelProperty(value = "结束路口编号")
    private String endCrossId;

    @ApiModelProperty(value = "驶出方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北")
    private Integer outDir;

    @ApiModelProperty(value = "驶入方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北")
    private Integer inDir;

    @ApiModelProperty(value = "驶出角度，正北顺时针0~359")
    private Double startAngle;

    @ApiModelProperty(value = "驶入角度，正北顺时针0~359")
    private Double endAngle;

    @ApiModelProperty(value = "行驶方向：0上行；1下行")
    private Integer direction;

    @ApiModelProperty(value = "顺序号：路段在道路方向的顺序号")
    private Integer sort;

    @ApiModelProperty(value = "路段走向：1 南向北；2 西向东；3 北向南；4 东向西；5 内环；6 外环；99 其他（参见路段走向字典）")
    private Integer trend;

    @ApiModelProperty(value = "道路等级： 41000 高速公路； 42000 国道； 43000 城市快速路； 44000 城市主干道； 45000 城市次干道； 47000 城市普通道路； 51000 省道； 52000 县道； 53000 乡道； 54000 县乡村内部道路； 49 小路（参见道路等级字典）")
    private Integer level;

    @ApiModelProperty(value = "行政区划代码，跨区数据会以逗号分开")
    private String areaCode;

    @ApiModelProperty(value = "路段长度（米）")
    private Double length;

    @ApiModelProperty(value = "路段宽度（米）")
    private Double width;

    @ApiModelProperty(value = "是否单行线：0否；1是；99其他")
    private Integer isOneway;

    @ApiModelProperty(value = "路段类型：1路段；3匝道；4隧道；5桥梁；6高架；99其他")
    private Integer type;

    @ApiModelProperty(value = "主辅标志：1主路；2辅路；99其他 （参见主辅标志字典）")
    private Integer mainFlag;

    @ApiModelProperty(value = "空间对象")
    private String wkt;

    @ApiModelProperty(value = "信控路段编号")
    private String scId;

    @ApiModelProperty(value = "信控路段名称")
    private String scName;

    @ApiModelProperty(value = "信控路段序号")
    private Integer scSort;

    @ApiModelProperty(value = "创建时间")
    private Date gmtCreate;

    @ApiModelProperty(value = "修改时间")
    private Date gmtModified;




}
