package net.wanji.opt.po.base;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.databus.po.CrossLaneDataHistPO;

import java.util.Date;

/**
 * @author fengyi
 * @date 2024/12/24
 * @description
 */
@Data
public class CrossLaneDataHistPoExtend   {
    @ApiModelProperty(name = "路口编号",notes = "")
    private String crossId;
    //车道ID
    @ApiModelProperty(value = "车道号", notes = "")
    private Integer laneNo;
    //方向
    @ApiModelProperty(value = "方向", notes = "")
    private Integer dirType;
    @ApiModelProperty(value = "方向描述", notes = "")
    private String   dirTypeName;
    //转向功能
    @ApiModelProperty(value = "转向功能", notes = "")
    private Integer turnType;
    @ApiModelProperty(value = "转向功能描述", notes = "")
    private String turnTypeName;
    //交通指数
    @ApiModelProperty(value = "交通指数", notes = "")
    private Double trafficIndex;
    //最大排队长度
    @ApiModelProperty(value = "最大排队长度", notes = "")
    private Integer maxQueueLength;
    //最小排队长度
    @ApiModelProperty(value = "最小排队长度", notes = "")
    private Integer minQueueLength;
    //平均排队长度
    @ApiModelProperty(value = "平均排队长度", notes = "")
    private Integer avgQueueLength;

    @ApiModelProperty(value = "交通流量（辆）",notes = "")
    private Integer flow;

    @ApiModelProperty(value = "平均速度（km/h）",notes = "")
    private Double speed;

    @ApiModelProperty(value = "停车次数",notes = "")
    private Double stopTimes;

    @ApiModelProperty(value = "延误时间",notes = "")
    private Integer delayTime;

    @ApiModelProperty(value = "饱和度【强度】",notes = "")
    private Double sturation;

    @ApiModelProperty(value = "服务水平",notes = "")
    private String serviceLevel;

    @ApiModelProperty(value = "开始时间：yyyy-MM-dd HH:mm:ss", notes = "")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    public Date startTime;

    @ApiModelProperty(value = "时间轴", notes = "")
    public String timeAxis;

    @ApiModelProperty(value = "绿灯利用率", notes = "")
    double greenLightEfficiency;

    @ApiModelProperty(value = "空间占有率", notes = "")
    double vehicleLengthRatioMean;
}
