package net.wanji.opt.po.base;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author fengyi
 * @date 2024/12/24
 * @description
 */
@Data
public class EventStatisticPo {
    @ApiModelProperty(name = "路口编号",notes = "")
    private String crossId;

    @ApiModelProperty(value = "事件类型", notes = "")
    private String eventType;

    @ApiModelProperty(value = "事件类型描述", notes = "")
    private String eventTypeDesc;

    @ApiModelProperty(value = "事件次数", notes = "")
    private Integer eventCount;

    @ApiModelProperty(value = "时间轴", notes = "")
    private String timeAxis;

    @ApiModelProperty(value = "事件方向集合", notes = "",hidden = true)
    @JSONField(serialize = false)
    private String dirs;

    @ApiModelProperty(value = "每个方向发生的次数", notes = "")
    private Map<String,Long> dirEventCount;

    @ApiModelProperty(value = "每个方向发生的次数集合", notes = "")
    private List<Map<String,Object>> dirEventCountList;

    @ApiModelProperty(value = "进口道方向",notes = "")
    private Map<String,String> dirWkt;
}
