package net.wanji.opt.po.trend;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.data.annotation.Id;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_event_data")
@ApiModel(value = "EventAlarmPO", description = "交通事件表")
public class EventAlarmPO {
    /** 主键 */
    @Id
    @ApiModelProperty(name = "主键",notes = "")
    private Integer id;

    /** 事件ID */
    @ApiModelProperty(name = "事件ID",notes = "")
    private String eventId;

    /** 事件描述 */
    @ApiModelProperty(name = "事件描述",notes = "")
    private String eventDesc;

    /** 事件类型：1事故；2拥堵；3管制；4施工 */
    @ApiModelProperty(name = "事件类型：1事故；2拥堵；3管制；4施工",notes = "")
    private Integer type;

    /** 开始时间 */
    @ApiModelProperty(name = "开始时间",notes = "")
    private Date startTime;

    /** 结束时间 */
    @ApiModelProperty(name = "结束时间",notes = "")
    private Date endTime;

    /** 事件来源：1接处警；2交管部门；3互联网 */
    @ApiModelProperty(name = "事件来源：1接处警；2交管部门；3互联网",notes = "")
    private Integer source;

    /** 事件坐标：精度;维度；精度，维度... */
    @ApiModelProperty(name = "事件坐标：精度",notes = "维度；精度，维度...")
    private String wkt;

    /** 图片链接 */
    @ApiModelProperty(name = "图片链接",notes = "")
    private String imageUrl;

    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate;

    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified;
}
