package net.wanji.opt.po.trend;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import net.wanji.common.framework.Constants;
import net.wanji.common.utils.tool.DateUtil;

import java.io.Serializable;
import java.math.BigDecimal;
import java.text.ParseException;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author duanruiming
 * @date 2024/05/17 9:45
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_event_info")
@ApiModel(value = "HoloEventInfoPO", description = "交通事件信息")
public class EventInfoSimplePo implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "二级类别")
    @JsonProperty("eventType")
    //@JSONField(name = "eventType")
    private String eventType;

    @ApiModelProperty(value = "事件发生时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;

    @ApiModelProperty(value = "事件结束时间")
    //@JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;

    @ApiModelProperty(value = "事件持续时长，单位秒")
    private Integer duration;

    @ApiModelProperty(value = "事件发生次数")
    private Integer count=1;

    @ApiModelProperty(value = "横轴时间轴start", notes = "")
    private String timeAxisStart;

    @ApiModelProperty(value = "横轴时间轴end", notes = "")
    private String timeAxisEnd;

    @ApiModelProperty(value = "纵轴日期 格式：(dd/MM)", notes = "")
    private String date;

    @ApiModelProperty(value = "纵轴日期 格式：(dd/MM)", notes = "")
    private List<String> dataTimeList = new ArrayList<>();

}