package net.wanji.opt.po.trend;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.common.framework.domain.TrackableEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 绿波历史数据
 * </p>
 *
 * @Author fengyi
 * @Date 2024-11-18
 */
@Data
@ApiModel(value="GreenwaveCrossTrendPo", description="干线路口协调方向、非协调方向指标")
public class GreenwaveCrossTrendPo extends TrackableEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "绿波车流方向")
    private String roadDirection;

    @ApiModelProperty(value = "路口ID")
    private String crossId;

    @ApiModelProperty(value = "绿波编号")
    private Integer greenId;

    @ApiModelProperty(value = "协调方向停车次数")
    private BigDecimal cordStopTimes;

    @ApiModelProperty(value = "协调方向排队（米）")
    private BigDecimal cordQueueLength;

    @ApiModelProperty(value = "协调方向流量")
    private BigDecimal cordFlow;

    @ApiModelProperty(value = "非协调方向停车次数")
    private BigDecimal stopTimes;

    @ApiModelProperty(value = "非协调方向排队（米）")
    private BigDecimal queueLength;

    @ApiModelProperty(value = "非协调方向流量")
    private BigDecimal flow;

    @ApiModelProperty(value = "开始时间：yyyy-MM-dd HH:mm:ss")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date startTime;


}
