package net.wanji.opt.service;

import net.wanji.databus.bo.CrossIdBO;
import net.wanji.databus.po.CrossDataRealtimePO;
import net.wanji.databus.po.CrossDirDataRealtimePO;
import net.wanji.databus.po.CrossDirStatusDataPO;
import net.wanji.databus.po.TBaseCrossInfo;
import net.wanji.opt.po.trend.HoloEventInfoPO;
import net.wanji.opt.vo.AIOptResultVO;
import net.wanji.opt.vo.CrossEventListPO;
import net.wanji.opt.vo.CrossOptResult;
import net.wanji.opt.vo.CrossStatusCountVO;

import java.util.List;
import java.util.Map;

/**
 * @author duanruiming
 * @date 2024/11/25 19:12
 */
public interface CrossIndexService {
    Map<Integer, CrossDirDataRealtimePO> crossDirIndex(CrossIdBO crossIdBO);

    CrossDataRealtimePO crossIndex(CrossIdBO crossIdBO);

    List<TBaseCrossInfo> crossInfoList();

    List<CrossOptResult> crossOptResultList(CrossIdBO crossIdBO) throws Exception;

    List<AIOptResultVO> crossAIList() throws Exception;

    List<CrossStatusCountVO> crossStatusCount(String crossId) throws Exception;
    HoloEventInfoPO crossEventDirTurn(String crossId) throws Exception;
    List<CrossEventListPO> selectCrossEventList() throws Exception;

    /**
     * @Description 查询据当前时间某小时的数据
     * @Param crossId 路口编号
     * @Param hour     小时数
     * @return java.util.List<net.wanji.databus.po.CrossDirDataHistPO>
     **/
    CrossDirStatusDataPO selectByCrossIdAndHour(String crossId,int hour);

}
