package net.wanji.opt.service;

import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.databus.dto.EventInfoTrafficStatusDTO;
import net.wanji.databus.vo.EventInfoTrafficStatusVO;
import net.wanji.opt.entity.EventAlarmInfo;
import net.wanji.opt.po.base.EventStatisticPo;

import java.util.List;
import java.util.Map;

/**
 * 事件接口
 */
public interface EventService {

    /**
     * 查询路口事件统计数
     * @param crossId
     * @param type
     * @param startTime
     * @param endTime
     * @return
     */
    EventStatisticPo findCrossEventCount(String crossId, String type, String startTime, String endTime) throws DubboProviderException;

    /**
     * 场景分布
     * @param crossId
     * @param startTime
     * @param endTime
     * @return
     */
    List<Map<String,Object>> findEventDistribute(String crossId,  String startTime, String endTime) throws DubboProviderException;

    /**
     * 路口监测、干线监测-交通状态
     * @param eventInfoTrafficStatusDTO
     * @return
     */
    EventInfoTrafficStatusVO trafficStatus(EventInfoTrafficStatusDTO eventInfoTrafficStatusDTO) throws DubboProviderException;


    /**
     * 当时事件报警数据监测
     * @return
     * @throws DubboProviderException
     */
    List<EventAlarmInfo> findEventAlarmInfo(String realtimeType, String eventType, String name) throws DubboProviderException;

    /**
     * 查询当前未结束事件
     * @return
     * @throws DubboProviderException
     */
    List<EventAlarmInfo> findNotFinishAlarmInfo() throws DubboProviderException;
}
