package net.wanji.opt.synthesis.pojo.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.config.Double2TwoDecimalPlacesSerializer;

import java.util.List;

/**
 * @author duanruiming
 * @date 2024/12/03 18:59
 */
@Data
@ApiModel("绿波干线子区返回参数")
public class GreenBeltAreaIndexVO {
    @ApiModelProperty("子区状态")
    private Integer status;
    @ApiModelProperty("优化策略")
    private String strategyName;
    @ApiModelProperty("绿波方向详情")
    private List<DirDetail> dirDetail;

    @Data
    public static class DirDetail {
        @ApiModelProperty("绿波名称")
        private String dirName;
        @ApiModelProperty("行程时间")
        private Integer travelTime;
        @ApiModelProperty("停车次数")
        @JsonSerialize(using = Double2TwoDecimalPlacesSerializer.class)
        private Double StopTimes;
        @ApiModelProperty("平均速度")
        @JsonSerialize(using = Double2TwoDecimalPlacesSerializer.class)
        private Double speed;

    }
}
