package net.wanji.opt.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.config.Double2TwoDecimalPlacesSerializer;

import java.util.List;

/**
 * @author duanruiming
 * @date 2024/12/07 11:34
 */
@Data
@ApiModel(value = "优化监测干线详情返回实体")
public class GreenBeltCrossDetailVO {
    @ApiModelProperty("干线名称")
    private String greenName;
    @ApiModelProperty("路口数量")
    private Integer crossNum;
    @JsonSerialize(using = Double2TwoDecimalPlacesSerializer.class)
    @ApiModelProperty("干线指数")
    private Double greenIndex;
    private List<CrossDetail> detailList;

    @Data
    public static class CrossDetail {
        @ApiModelProperty("路口名称")
        private String crossName;
        @JsonSerialize(using = Double2TwoDecimalPlacesSerializer.class)
        @ApiModelProperty("路口指数")
        private Double crossIndex;
    }
}
