package net.wanji.opt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.config.Double2TwoDecimalPlacesSerializer;

import java.util.Date;
import java.util.List;

/**
 * @author duanruiming
 * @date 2024/12/06 13:37
 */
@Data
@ApiModel(value = "优化监测-绿波关键路口流量绿信比实体")
public class GreenBeltKeyCrossFlowTimeVO {
    @ApiModelProperty("干线方向")
    private String dirName;
    @ApiModelProperty("路口名称")
    private String crossName;
    private List<Detail> detailList;
    @Data
    public static class Detail {
        @ApiModelProperty("路口编号")
        private String crossId;
        @ApiModelProperty("干线方向")
        private String dir;
        @ApiModelProperty("路口名称")
        private String crossName;
        @ApiModelProperty("时间")
        @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "HH:mm:ss", timezone = "GMT+8")
        private Date startTime;
        @ApiModelProperty("流量")
        private Integer flow;
        @ApiModelProperty("绿信比")
        @JsonSerialize(using = Double2TwoDecimalPlacesSerializer.class)
        private Double greenTimeRatio;
    }
}
