package net.wanji.opt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.config.Double2TwoDecimalPlacesSerializer;

import java.util.Date;
import java.util.List;

/**
 * @author duanruiming
 * @date 2024/12/05 19:48
 */
@Data
@ApiModel(value = "优化监测-绿波带宽曲线实体")
public class GreenBeltSpeedWidthVO {
    @ApiModelProperty("干线方向名称")
    private String dirName;
    private List<Detail> detailList;
    @Data
    public static class Detail {
        @ApiModelProperty("时间")
        @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "HH:mm:ss", timezone = "GMT+8")
        private Date startTime;
        @ApiModelProperty("干线方向")
        private String dir;
        @ApiModelProperty("速度")
        @JsonSerialize(using = Double2TwoDecimalPlacesSerializer.class)
        private Double speed;
        @ApiModelProperty("带宽")
        @JsonSerialize(using = Double2TwoDecimalPlacesSerializer.class)
        private Double width;
    }
}
