package net.wanji.opt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.config.Double2TwoDecimalPlacesSerializer;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2024/12/03 13:58
 */
@Data
@ApiModel(value = "重点路口监测实体", description = "重点路口监测实体")
public class GreenBeltStopTimesQueueLengthVO {
    @ApiModelProperty("绿波编号")
    private Integer greenId;
    @ApiModelProperty("时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date timeStamp;
    @ApiModelProperty("时间分钟")
    private String hourMinute;
    @ApiModelProperty("绿波方向")
    private String roadDirection;
    @ApiModelProperty("停车次数")
    @JsonSerialize(using = Double2TwoDecimalPlacesSerializer.class)
    private Double stopTimes;
    @ApiModelProperty("空间占比")
    @JsonSerialize(using = Double2TwoDecimalPlacesSerializer.class)
    private Double cordQueueRatio;
    @ApiModelProperty("行程时间")
    private Integer travelTime;
    @ApiModelProperty("速度")
    @JsonSerialize(using = Double2TwoDecimalPlacesSerializer.class)
    private Double speed;
}
