package net.wanji.opt.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
@ApiModel(value = "GreenwaveRunMonitorVO", description = "子区信息-运行监测返回值")
public class GreenwaveRunMonitorVO {

    @ApiModelProperty(value = "绿波方向")
    private String roadDirection;
    private List<Detail> detailList;
    @Data
    public static class Detail {
        @ApiModelProperty(value = "时间")
        private String hour;
        @ApiModelProperty(value = "平均速度")
        private Integer avgSpeed;
        @ApiModelProperty(value = "拥堵指数")
        private Double congestionIndex;
        @ApiModelProperty(value = "行程时间")
        @JsonProperty("trvalTime")
        private Integer travelTime;
    }
}
