package net.wanji.opt.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import net.wanji.opt.config.Double2TwoDecimalPlacesSerializer;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "MainlineEvaluateBottomCurveVO", description = "底部曲线图")
public class MainlineEvaluateBottomCurveVO {
    @ApiModelProperty(value = "时间")
    private String metricTime;

    @ApiModelProperty(value = "范围名称")
    private String scopeName;

    @ApiModelProperty(value = "数值")
    @JsonSerialize(using = Double2TwoDecimalPlacesSerializer.class)
    private Double value;

    @ApiModelProperty(value = "指标时间戳")
    private Long metricTimeStamp;
}
